//
//  Attachment.swift
//  Zockerhoehle
//
//  Created by Julian-Steffen Müller on 14.09.18.
//  Copyright © 2018 Julian-Steffen Müller. All rights reserved.
//

import Foundation

typealias AttachmentID = String

struct Attachment : Codable {
    var id : AttachmentID
    var type : String
    var file : Data?
    var isDeleted : Bool
    var description : String
    var createdOn : String
    var changedOn : String
    
    enum CodingKeys : String, CodingKey {
        case id = "_id"
        case type
        case file
        case isDeleted
        case description
        case createdOn = "created"
        case changedOn = "changed"
    }
}
